---
title: "GET financialsummaries-sales"
url: "https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c/paths/financialsummaries-sales/get"
---

> Full API specification: https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c.md

# /financialsummaries/sales

`GET` `/financialsummaries/sales`

## Query parameters

- `date_from` (string, optional)
- `date_to` (string, optional)
- `page_size` (string, optional)
- `page_number` (string, optional)
- `store_ids` (string, optional)

## Header parameters

- `x-api-key` (string, required)

## Responses

- `200` - 200 response
- `400` - 400 response
- `403` - 403 response
- `429` - 429 response

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: PublicApi
  version: 0.1.0
servers:
  - url: https://api.retailexpress.com.au/{basePath}
    variables:
      basePath:
        default: v1
paths:
  /financialsummaries/sales:
    get:
      parameters:
        - name: date_from
          in: query
          schema:
            type: string
        - name: date_to
          in: query
          schema:
            type: string
        - name: page_size
          in: query
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: page_number
          in: query
          schema:
            type: string
        - name: store_ids
          in: query
          schema:
            type: string
      responses:
        "200":
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SalesSummaryResponse"
        "400":
          description: 400 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "403":
          description: 403 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "429":
          description: 429 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
      security:
        - api_key: []
security:
  - api_key: []
components:
  schemas:
    SalesSummaryResponse:
      title: Sales Summary Response
      type: object
      properties:
        summary_lines:
          type: array
          description: A list of sales summaries
          items:
            $ref: "#/components/schemas/SalesSummary"
        page_number:
          $ref: "#/components/schemas/PageNumber"
        total_records:
          $ref: "#/components/schemas/TotalRecords"
        total_pages:
          $ref: "#/components/schemas/TotalPages"
        page_size:
          $ref: "#/components/schemas/PageSize"
    SalesSummary:
      title: Sales Summary
      type: object
      properties:
        store_id:
          title: Store ID
          type: string
          description: The ID of the store within this system
        date:
          title: Date
          type: string
          description: The date of the summary
          format: date
        tax_type_id:
          title: Tax Type ID
          type: string
          description: The ID of the tax type within this system
        amount_tax:
          title: Amount Tax
          type: number
          description: The tax chargeable on the transaction
        amount_inclusive:
          title: Amount Inclusive
          type: number
          description: The value of the transaction, inclusive of tax
        id:
          title: ID
          type: string
          description: The ID of the sales summary record
        amount_exclusive:
          title: Amount Exclusive
          type: number
          description: The value of the transaction, exclusive of tax
        transaction_type:
          title: Transaction Type
          type: string
          description: The ID of the transaction type within this system
      description: A summary of sales data for a given store on a given date
    PageNumber:
      title: Page Number
      type: integer
      description: The current page number
    TotalRecords:
      title: Total Record Count
      type: integer
      description: The total number of records in your query
    TotalPages:
      title: Total Page Count
      type: integer
      description: The total number of pages in your query
    PageSize:
      title: Page Size
      type: integer
      description: The maximum number of records in a single page
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header
      x-amazon-apigateway-authtype: custom
```
